@import '/styles/global.css';
@import '/styles/HeaderManager.css';
@import '/styles/FooterManager.css';
@import '/styles/SignupElement.css';
@import '/styles/CookieConsent/CookieConsent.css';
@import '/styles/CookieConsent/CookiePreferences.css';
@import '/styles/HardwareCarousel.css';
@import '/styles/ContactElement.css';


.emb-hardware-introduction {
    max-width: 800px;
    text-align: center;
    padding: 50px 20px;
    margin: 0 auto;
}
.intro-title {
    padding-bottom: 25px;
}
.emb-hardware-introduction .inline-links {
    padding-top: 20px;
}

/*--- Concept to Market-Ready Solution ---*/
.full-width {
    margin-top: 80px;
    height: 370px;
    background-color: var(--color-grey-background);
    padding-top: 70px 20px;
}
.mktrdy {
    max-width: 1500px;
    display: flex;
    flex-wrap: wrap;
    justify-content: center;
    align-items: center;
    margin: 0 auto;
}
.mktrdy-develop {
    width: 40%;
    padding: 10px 70px 50px 0px;
    margin-left: 120px;
}
.mktrdy-services {
    margin-top: 50px;
    padding: 50px 90px;
    background-color: var(--color-accent-e);
    border-top-left-radius: 40px 40px;
    border-bottom-right-radius: 40px 40px;
    width: 40%;
    margin-right: 120px;
}
.mktrdy-services h3 {
    color: var(--color-white);
    text-transform: uppercase;
    padding-bottom: 20px;
    margin-left: -14px;
}
.mktrdy-services li {
    display: flex;
    color: var(--color-white);
    padding-bottom: 10px;
    margin-left: 0;

}
.mktrdy-services li img {
    margin-left: 0;
    margin-right: 15px;
}
/*----- Wirelesss Connectivity Banner -----*/

 .banner {
    margin-top: 160px;
    background-image: url('/assets/images-v3/Hardware_1.webp');
    background-position: left;
    background-repeat: no-repeat;
    background-size: cover;
    width: 100%;
    height: auto;
    object-fit: none;
}
.banner__text {
    max-width: 1500px;
    text-align: left;
    padding-inline: 120px;
}
#learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
}
.banner__text h2 {
    color: #fff;
    padding-bottom: 40px;
    padding: 100px 20px 0 55%;
}
.banner__text p {
    color: #fff;
    padding: 10px 20px 0 55%;
}
.banner__text-items{
    display: flex;
    flex-wrap: wrap;
    justify-content: space-evenly;
    max-width: 1500px;
    padding-inline: 120px;
    margin-top: 10px;
}

.banner__text-items li {
    color: var(--color-white);
    font-family: "Inter";
    text-transform: uppercase;
    padding-top: 70px;
    padding-bottom: 30px;
    list-style-type: '✓';
    list-style-position: outside;
    justify-content: space-evenly;
}

.banner__text-items li:nth-child(1) {
    margin-left: 15px;
}

.banner__text-items li:nth-child(5) {
    margin-right: 0px;
}
/*------  Embedded Software Development  Hardware Page-------*/
.embd-sftwr-split {
    margin: 0 auto;
    max-width: 1500px;
    padding:  100px 120px;
    display: flex;
    gap: 70px;
    align-items: center;
}

.embd-sftwr-split-image {
    margin-top: 30px;
    padding: 0px; 
    width: 50%;
    margin-left: 0;
}
.embd-sftwr-split-image img {
    border-bottom-right-radius: 40px 40px;
}
.mini-tab-image-chip {
    display: none;
}
.embd-sftwr-split-text {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 0px;
    
}
.embd-sftwr-split-text h2,
.embd-sftwr-split-text p,
.embd-sftwr-split-text a {
    margin-left: 0;
}
.title-above-image {
    display: none;
}
.title-with-text {
    display: block;
}
.embd-sftwr-split-text a {
    font-size: .7rem;
    margin: 15px auto;
    margin-left: 0;
}
.learn-more {
    font-family: "Inter";
    font-weight: 700;
    text-transform: uppercase;
    cursor: pointer;
}
.learn-more:hover {
    text-decoration: underline;
}



/*------  Custom Casing and Enclosing Hardware  -------*/
.casing-enclosing-split {
    margin: 0 auto;
    max-width: 1500px;
    padding: 180px 120px;
    display: flex;
    gap: 70px;
    align-items: center;
    justify-content: space-between;
}
.mini-tab-image-scouts {
    display: none;
}
.casing-enclosing-split-image {
    margin-top: 30px;
    margin-inline: 0; 
    padding: 0px; 
    width: 50%;
}
.casing-enclosing-split-image img {
    border-bottom-right-radius: 40px 40px;
}
.casing-enclosing-split-text {
    display: flex;
    flex-direction: column;
    width: 50%;
    padding: 50px 0px;
    margin: 0;
}
.casing-enclosing-split-text h2,
.casing-enclosing-split-text p,
.casing-enclosing-split-text a {
    margin-left: 0;
}

.casing-enclosing-split-text a {
padding-top: 20px;
}
  /*______________________*/



/* desktops*/
@media (max-width: 1440px) {
    .mktrdy-develop {
        padding: 50px 0px 50px 0px;
    }
    .mktrdy-services {
        margin-top: 50px;
        padding: 50px 60px;
        width: 35%;
    }
}


@media (max-width: 1024px) {
    .full-width {
        height: 380px;
        background-color: var(--color-grey-background);
    }
    .mktrdy-develop {
        width: 55%;
        padding: 50px 20px 50px 0px;
        margin-left: 20px;
    }
    .mktrdy-services {
        margin-top: 50px;
        padding: 50px 60px;
        width: 40%;
        margin-right: 20px;
    }

    /*----------------------*/
    .banner {
        margin-top: 160px;
        background-image: url('/assets/images-v3/Hardware_1.webp');
        background-position: left;
        background-repeat: no-repeat;
        background-size: cover;
        width: 100%;
        height: auto;
        object-fit: none;
    }
    .banner__text {
        max-width: 1500px;
        padding-inline: 20px;
    }
    
    .banner__text-items {
        display: flex;
        max-width: 1500px;
        padding-inline: 20px;
        margin-top: 10px;
    }
    /*----------------------*/

    /*------  Embedded Software Development  Hardware Page-------*/
    .embd-sftwr-split {
        margin: 80px auto;
        max-width: 1500px;
        padding-inline: 0px 20px;
        display: flex;
        flex-wrap: wrap;
        gap: 50px;
    }
    .embd-sftwr-split-image {
        margin-top: 30px;
        padding: 0px; 
        width: 40%;
        margin-left: 20px;
    }
    
    .embd-sftwr-split-text {
        display: flex;
        flex-direction: column;
        width: 54%;
        padding: 0px;
        margin: 0;
    }

/*------  Custom Casing and Enclosing Hardware  -------*/
    .casing-enclosing-split {
        margin: 180px auto;
        max-width: 1500px;
        padding-inline: 20px;
        display: flex;
        flex-wrap: wrap;
        align-items: center;
        justify-content: space-between;
        gap: 50px;
    }
    .casing-enclosing-split-image {
        margin-top: 30px;
        margin-inline: 0; 
        padding: 0px; 
        width: 40%;
    }
    
    .casing-enclosing-split-text {
        display: flex;
        flex-direction: column;
        width: 54%;
        padding: 0px 0px;
        margin: 0;
    }
  
}



 /* SMALLER TABLETS LARGE PHONES  */
@media (max-width: 768px) {
    /*----------------*/
    .embd-sftwr-split-text h2,
    .embd-sftwr-split-text p,
    .embd-sftwr-split-text a {
        margin-left: 20px;
    }

 /*----------------*/
    .mktrdy-services {
        padding: 30px 20px 30px 30px; 
        width: 35%;
    }
    .mktrdy-services li {
        font-size: .9rem; 
    }

    /*----- Wirelesss Connectivity Banner -----*/
    .banner {
        margin-top: 160px;
        background-image: linear-gradient(rgba(0, 0, 0, .5),rgba(0, 0, 0, .5)), url('/assets/images-v3/Hardware_1.webp');
        background-position: left 25% bottom 50%;
        width: 100%;
        height: auto;
    }
    .banner__text {
        text-align: left;
    }
    #learn-more {
        font-family: "Inter";
        font-weight: 700;
        text-transform: uppercase;
    }
    .banner__text h2 {
        padding: 40px 30px;
        text-align: center;
    }
    .banner__text p {
        padding: 10px 30px;
        text-align: center;
    }
    .banner__text-items{
        flex-direction: column;
        justify-content: flex-start;
        flex-wrap: wrap;
        margin-top: 25px;
        padding-bottom: 40px;
    }
    
    .banner__text-items li {
        padding: 10px 0px;
        list-style-position: inside;
        margin-left: 0px;
    }
    .banner__text-items li:nth-child(1) {
        margin-left: 0px;
    }
    

/*------------------------*/    
    .desktop-mobile-image-chip {
        display: none;
    }
    .mini-tab-image-chip {
        display: block;
    }

    .casing-enclosing-split-text h2,
    .casing-enclosing-split-text p,
    .casing-enclosing-split-text a {
        margin-left: 20px;
    }

/*------------------------*/    
    .desktop-mobile-image-scouts {
        display: none;
    }
    .mini-tab-image-scouts {
        display: block;
    }

}




/* MEDIUM SIZE MOBILES */
@media (max-width: 576px) {
    .emb-hardware-introduction {
        padding: 30px 20px;
    }
    .emb-hardware-introduction .inline-links {
        display: block;
    }
    .emb-hardware-introduction .inline-links a {
        margin-inline: 30px;
    }

    /*--- Concept to Market-Ready Solution ---*/
    .full-width {
        margin-top: 40px;
        /* margin-bottom: 400px; */
        height: 500px;
        background-color: transparent;
        padding-top: 70px 20px;
    }
    
    .mktrdy-develop {
        width: 100%;
        padding: 10px 20px 30px 0px;
        margin-left: 20px;
    }

    .mktrdy-services {
        margin-top: 0px;
        padding: 50px 20% 30px 20%;
        margin-left: 20px;
        width: 100%;
    }
    .mktrdy-services li {
        color: var(--color-white);
        padding-bottom: 10px;
        line-height: 1.1rem;
        list-style-type: '✓';
        list-style-position: outside;
    }
    .banner__text-items{
        margin-left: 7%
    }
    .banner__text h2 {
        padding: 40px 30px;
        text-align: left;
    }
    .banner__text p {
        padding: 10px 30px;
        text-align: left;
    }

    /*------  Embedded Software Development  Hardware Page-------*/
    .title-above-image {
        display: inline-block;
        margin-top: 50px;
        text-align: left;
        padding-inline: 20px;
    }
    .title-with-text {
        display: none;
    }
    .embd-sftwr-split {
        margin-block: 20px;
        max-width: 1500px;
        padding: 0px;
        display: flex;
        flex-wrap: wrap;
        gap: 10px
    }
    .desktop-mobile-image-chip {
        display: block;
    }
    .mini-tab-image-chip {
        display: none;
    }
    .embd-sftwr-split h2 {
        text-align: left;
        margin-left: 0px;
    }
    .embd-sftwr-split-image {
        margin-top: 0px;
        padding: 0px; 
        margin-right: 20px;
        width: 100%;
    }
    .embd-sftwr-split-image img {
        border-radius: 0;
    }
    .embd-sftwr-split-text {
        padding-top: 30px;
        width: 100%;
    }
    .embd-sftwr-split-text h2,
    .embd-sftwr-split-text p {
        margin-inline: 20px;
    }


/*------  Custom Casing and Enclosing Hardware  -------*/
    .casing-enclosing-split {
        margin-block: 80px;
        max-width: 1500px;
        padding: 0px;
        display: flex;
        flex-wrap: wrap;
        gap: 10px;
    }
    .casing-enclosing-split h2 {
        text-align: left;
        margin-left: 0px;
    }
    .casing-enclosing-split-image {
        margin-top: 0px;
        padding: 0px; 
        margin-right: 20px;
        width: 100%;
    }
    .casing-enclosing-split-image img {
        border-radius: 0;
    }
    .casing-enclosing-split-text {
        padding-top: 30px;
        width: 100%;
    }
    .desktop-mobile-image-scouts {
        display: block;
    }
    .mini-tab-image-scouts {
        display: none;
    }

    .casing-enclosing-split-text h2,
    .casing-enclosing-split-text p,
    .casing-enclosing-split-text a {
        margin-inline: 20px;
    }



    
}